Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLADIV

    java.lang.Object
      org.netlib.lapack.SLADIV

    public class SLADIV

extends java.lang.Object

    SLADIV is a simplified interface to the JLAPACK routine sladiv.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLADIV performs complex division in  real arithmetic
     *
     *                        a + i*b
     *             p + i*q = ---------
     *                        c + i*d
     *
     *  The algorithm is due to Robert L. Smith and can be found
     *  in D. Knuth, The art of Computer Programming, Vol.2, p.195
     *
     *  Arguments
     *  =========
     *
     *  A       (input) REAL
     *  B       (input) REAL
     *  C       (input) REAL
     *  D       (input) REAL
     *          The scalars a, b, c, and d in the above expression.
     *
     *  P       (output) REAL
     *  Q       (output) REAL
     *          The scalars p and q in the above expression.
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`SLADIV()`

Method Summary
`static void` | `SLADIV(float a, float b, float c, float d, floatW p, floatW q)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLADIV

    public SLADIV()

Method Detail

### SLADIV

    public static void SLADIV(float a,
                              float b,
                              float c,
                              float d,
                              floatW p,
                              floatW q)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD